# Class AuthorizeError

### Hierarchy

- Error
  - AuthorizeError

### Constructors

- constructor

### Properties

- confirmUrl
- message
- name
- stack
- Error

## Constructors

### constructor

- new AuthorizeError(message: string, confirmUrl: string): AuthorizeError

- - Defined in src/types/AuthorizeError.ts:1

  #### Parameters

  - ##### message: string

  - ##### confirmUrl: string

  #### Returns AuthorizeError

## Properties

### confirmUrl

confirmUrl: string

- Defined in src/types/AuthorizeError.ts:2

### message

message: string

Overrides ComputeJobExecutionError.message

- Defined in src/types/AuthorizeError.ts:2

### name

name: string

Inherited from ComputeJobExecutionError.name

- Defined in node_modules/typescript/lib/lib.es5.d.ts:973

### Optional stack

stack: undefined | string

Inherited from ComputeJobExecutionError.stack

- Defined in node_modules/typescript/lib/lib.es5.d.ts:975

### Static Error

Error: ErrorConstructor

- Defined in node_modules/typescript/lib/lib.es5.d.ts:984

Generated using TypeDoc